(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     42612,       1056]
NotebookOptionsPosition[     42273,       1039]
NotebookOutlinePosition[     42632,       1055]
CellTagsIndexPosition[     42589,       1052]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"u", "=", 
     RowBox[{"Range", "[", 
      RowBox[{"0", ",", "2", ",", 
       RowBox[{"2", "/", "n"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "piecewise", " ", "defined", " ", "approximating", " ", "functions"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"left", "=", 
     RowBox[{"Piecewise", "[", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"g", "[", 
           RowBox[{"u", "[", 
            RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"u", "[", 
            RowBox[{"[", "k", "]"}], "]"}], "<=", "x", "<=", 
           RowBox[{"u", "[", 
            RowBox[{"[", 
             RowBox[{"k", "+", "1"}], "]"}], "]"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "1", ",", 
          RowBox[{
           RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], "]"}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"mid", "=", 
     RowBox[{"Piecewise", "[", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"g", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"u", "[", 
               RowBox[{"[", "k", "]"}], "]"}], "+", 
              RowBox[{"u", "[", 
               RowBox[{"[", 
                RowBox[{"k", "+", "1"}], "]"}], "]"}]}], ")"}], "/", "2"}], 
           "]"}], ",", 
          RowBox[{
           RowBox[{"u", "[", 
            RowBox[{"[", "k", "]"}], "]"}], "<=", "x", "<=", 
           RowBox[{"u", "[", 
            RowBox[{"[", 
             RowBox[{"k", "+", "1"}], "]"}], "]"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "1", ",", 
          RowBox[{
           RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], "]"}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"right", "=", 
     RowBox[{"Piecewise", "[", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"g", "[", 
           RowBox[{"u", "[", 
            RowBox[{"[", 
             RowBox[{"k", "+", "1"}], "]"}], "]"}], "]"}], ",", 
          RowBox[{
           RowBox[{"u", "[", 
            RowBox[{"[", "k", "]"}], "]"}], "<=", "x", "<=", 
           RowBox[{"u", "[", 
            RowBox[{"[", 
             RowBox[{"k", "+", "1"}], "]"}], "]"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "1", ",", 
          RowBox[{
           RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], "]"}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"trap", "=", 
     RowBox[{"Piecewise", "[", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"Interpolation", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"u", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], ",", 
                 RowBox[{"g", "[", 
                  RowBox[{"u", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"u", "[", 
                  RowBox[{"[", 
                   RowBox[{"k", "+", "1"}], "]"}], "]"}], ",", 
                 RowBox[{"g", "[", 
                  RowBox[{"u", "[", 
                   RowBox[{"[", 
                    RowBox[{"k", "+", "1"}], "]"}], "]"}], "]"}]}], "}"}]}], 
              "}"}], ",", 
             RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}], "[", 
           "x", "]"}], ",", 
          RowBox[{
           RowBox[{"u", "[", 
            RowBox[{"[", "k", "]"}], "]"}], "<", "x", "<", 
           RowBox[{"u", "[", 
            RowBox[{"[", 
             RowBox[{"k", "+", "1"}], "]"}], "]"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "1", ",", 
          RowBox[{
           RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], "]"}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"simp", "=", 
     RowBox[{"Piecewise", "[", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"Interpolation", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"u", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"2", "k"}], "+", "1"}], "]"}], "]"}], ",", 
                 RowBox[{"g", "[", 
                  RowBox[{"u", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", "k"}], "+", "1"}], "]"}], "]"}], "]"}]}], 
                "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"u", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"2", "k"}], "+", "2"}], "]"}], "]"}], ",", 
                 RowBox[{"g", "[", 
                  RowBox[{"u", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", "k"}], "+", "2"}], "]"}], "]"}], "]"}]}], 
                "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"u", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"2", "k"}], "+", "3"}], "]"}], "]"}], ",", 
                 RowBox[{"g", "[", 
                  RowBox[{"u", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", "k"}], "+", "3"}], "]"}], "]"}], "]"}]}], 
                "}"}]}], "}"}], ",", 
             RowBox[{"InterpolationOrder", "\[Rule]", "2"}]}], "]"}], "[", 
           "x", "]"}], ",", 
          RowBox[{
           RowBox[{"u", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"2", "k"}], "+", "1"}], "]"}], "]"}], "\[LessEqual]", 
           "x", "<=", 
           RowBox[{"u", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"2", "k"}], "+", "3"}], "]"}], "]"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "0", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"Length", "[", "u", "]"}], "/", "2"}], " ", "-", 
           RowBox[{"3", "/", "2"}]}]}], "}"}]}], "]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"approxgraph", "[", "x_", "]"}], ":=", 
     RowBox[{"Switch", "[", 
      RowBox[{
      "method", ",", "\"\<left sum\>\"", ",", "left", ",", 
       "\"\<right sum\>\"", ",", "right", ",", "\"\<midpoint\>\"", ",", "mid",
        ",", "\"\<trapezoid\>\"", ",", "trap", ",", "\"\<Simpson\>\"", ",", 
       "simp"}], "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"area", " ", "approximation", " ", "calculations"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"leftarea", "=", 
     RowBox[{"N", "[", 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"g", "[", 
          RowBox[{"u", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "]"}], "*", 
         RowBox[{"(", 
          RowBox[{"2", "/", "n"}], ")"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{
           RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], "]"}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"rightarea", "=", 
     RowBox[{"N", "[", 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"g", "[", 
          RowBox[{"u", "[", 
           RowBox[{"[", 
            RowBox[{"i", "+", "1"}], "]"}], "]"}], "]"}], "*", 
         RowBox[{"(", 
          RowBox[{"2", "/", "n"}], ")"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{
           RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], "]"}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"midarea", "=", 
     RowBox[{"N", "[", 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"g", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"u", "[", 
              RowBox[{"[", "i", "]"}], "]"}], "+", 
             RowBox[{"u", "[", 
              RowBox[{"[", 
               RowBox[{"i", "+", "1"}], "]"}], "]"}]}], ")"}], "/", "2"}], 
          "]"}], "*", 
         RowBox[{"(", 
          RowBox[{"2", "/", "n"}], ")"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{
           RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], "]"}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"traparea", "=", 
     RowBox[{"N", "[", 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"g", "[", 
             RowBox[{"u", "[", 
              RowBox[{"[", "i", "]"}], "]"}], "]"}], "+", 
            RowBox[{"g", "[", 
             RowBox[{"u", "[", 
              RowBox[{"[", 
               RowBox[{"i", "+", "1"}], "]"}], "]"}], "]"}]}], ")"}], "/", 
          "2"}], "*", 
         RowBox[{"(", 
          RowBox[{"2", "/", "n"}], ")"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{
           RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], "]"}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"simparea", "=", 
     RowBox[{"N", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"g", "[", 
          RowBox[{"u", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}], "+", 
         RowBox[{"g", "[", 
          RowBox[{"u", "[", 
           RowBox[{"[", 
            RowBox[{"Length", "[", "u", "]"}], "]"}], "]"}], "]"}], "+", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{"4", "*", 
            RowBox[{"g", "[", 
             RowBox[{"u", "[", 
              RowBox[{"[", "i", "]"}], "]"}], "]"}], "*", 
            RowBox[{"Mod", "[", 
             RowBox[{
              RowBox[{"i", "+", "1"}], ",", "2"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "2", ",", 
             RowBox[{
              RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], "]"}],
          "+", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{"2", "*", 
            RowBox[{"g", "[", 
             RowBox[{"u", "[", 
              RowBox[{"[", "i", "]"}], "]"}], "]"}], "*", 
            RowBox[{"Mod", "[", 
             RowBox[{"i", ",", "2"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "2", ",", 
             RowBox[{
              RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], 
          "]"}]}], ")"}], "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "/", "n"}], ")"}], "/", "3"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"approxarea", "=", 
     RowBox[{"Switch", "[", 
      RowBox[{
      "method", ",", "\"\<left sum\>\"", ",", "leftarea", ",", 
       "\"\<right sum\>\"", ",", "rightarea", ",", "\"\<midpoint\>\"", ",", 
       "midarea", ",", "\"\<trapezoid\>\"", ",", "traparea", ",", 
       "\"\<Simpson\>\"", ",", "simparea"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"exactarea", "=", 
     RowBox[{"N", "[", 
      RowBox[{"Integrate", "[", 
       RowBox[{
        RowBox[{"g", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", "2"}], "}"}]}], "]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "points", " ", "on", " ", "curve", " ", "used", " ", "in", " ", "each", 
      " ", "method"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"endpt", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"u", "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", 
         RowBox[{"g", "[", 
          RowBox[{"u", "[", 
           RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "u", "]"}]}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"endptline", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"u", "[", 
            RowBox[{"[", "k", "]"}], "]"}], ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"u", "[", 
            RowBox[{"[", "k", "]"}], "]"}], ",", 
           RowBox[{"g", "[", 
            RowBox[{"u", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "u", "]"}]}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"midpt", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"u", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "+", 
            RowBox[{"u", "[", 
             RowBox[{"[", 
              RowBox[{"k", "+", "1"}], "]"}], "]"}]}], ")"}], "/", "2"}], ",", 
         RowBox[{"g", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"u", "[", 
              RowBox[{"[", "k", "]"}], "]"}], "+", 
             RowBox[{"u", "[", 
              RowBox[{"[", 
               RowBox[{"k", "+", "1"}], "]"}], "]"}]}], ")"}], "/", "2"}], 
          "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{
          RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}]}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"simpline", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"u", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"2", "k"}], "+", "1"}], "]"}], "]"}], ",", "0"}], "}"}],
          ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"u", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"2", "k"}], "+", "1"}], "]"}], "]"}], ",", 
           RowBox[{"g", "[", 
            RowBox[{"u", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"2", "k"}], "+", "1"}], "]"}], "]"}], "]"}]}], "}"}]}],
         "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "0", ",", 
         RowBox[{
          RowBox[{
           RowBox[{"Length", "[", "u", "]"}], "/", "2"}], " ", "-", 
          RowBox[{"3", "/", "2"}]}]}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"dots", "=", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"Switch", "[", 
       RowBox[{
       "method", ",", "\"\<left sum\>\"", ",", "endpt", ",", 
        "\"\<right sum\>\"", ",", "endpt", ",", "\"\<midpoint\>\"", ",", 
        "midpt", ",", "\"\<trapezoid\>\"", ",", "endpt", ",", 
        "\"\<Simpson\>\"", ",", "endpt"}], "]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"segments", "=", 
     RowBox[{"ListLinePlot", "[", 
      RowBox[{
       RowBox[{"Switch", "[", 
        RowBox[{
        "method", ",", "\"\<left sum\>\"", ",", "endptline", ",", 
         "\"\<right sum\>\"", ",", "endptline", ",", "\"\<midpoint\>\"", ",", 
         " ", "endptline", ",", "\"\<trapezoid\>\"", ",", "endptline", ",", 
         "\"\<Simpson\>\"", ",", "simpline"}], "]"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"magnified", " ", "graphics"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"yscale", "=", 
     RowBox[{"Which", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"g", "[", "x", "]"}], "===", 
        RowBox[{"Sin", "[", "x", "]"}]}], ",", ".5", ",", 
       RowBox[{
        RowBox[{"g", "[", "x", "]"}], "===", 
        RowBox[{
         RowBox[{"2", "x"}], "+", "1"}]}], ",", "2.5", ",", 
       RowBox[{
        RowBox[{"g", "[", "x", "]"}], "===", 
        RowBox[{"x", "^", "2"}]}], ",", "2", ",", 
       RowBox[{
        RowBox[{"g", "[", "x", "]"}], "===", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", "2"}], "x"}], "]"}]}], ",", ".5", ",", 
       RowBox[{
        RowBox[{"g", "[", "x", "]"}], "===", 
        RowBox[{"5", 
         RowBox[{"x", "^", 
          RowBox[{"(", 
           RowBox[{"1", "/", "3"}], ")"}]}]}]}], ",", "3.2", ",", "True", ",",
        "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"zoom", "\[Equal]", "False"}], ",", 
      RowBox[{"a", "=", 
       RowBox[{"{", 
        RowBox[{"1", ",", "yscale"}], "}"}]}], ",", "Null"}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"zoomgraph", "=", "\[IndentingNewLine]", 
     RowBox[{"Show", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"g", "[", "x", "]"}], ",", 
            RowBox[{"approxgraph", "[", "x", "]"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{
             RowBox[{"a", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "-", ".1"}], ",", 
            RowBox[{
             RowBox[{"a", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "+", ".1"}]}], "}"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"a", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "-", 
              RowBox[{".1", "*", "yscale"}]}], ",", 
             RowBox[{
              RowBox[{"a", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "+", 
              RowBox[{".1", "*", "yscale"}]}]}], "}"}]}], ",", 
          RowBox[{"Frame", "\[Rule]", "True"}], ",", 
          RowBox[{"FrameTicks", "\[Rule]", "None"}], ",", 
          RowBox[{"FrameStyle", "\[Rule]", "Thick"}], ",", 
          RowBox[{"Background", "\[Rule]", "White"}], ",", 
          RowBox[{"Filling", "\[Rule]", "Bottom"}], ",", 
          RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", 
          RowBox[{"Axes", "\[Rule]", "False"}]}], "]"}], ",", 
        "\[IndentingNewLine]", "dots", ",", "\[IndentingNewLine]", 
        "segments"}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"graphics", " ", "to", " ", "Manipulate"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"Grid", "[", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"plots", " ", "-", " ", 
       RowBox[{"first", " ", "row"}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Show", "[", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Plot", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"g", "[", "x", "]"}], ",", 
                RowBox[{"approxgraph", "[", "x", "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "0", ",", "2"}], "}"}], ",", 
              RowBox[{"Filling", "\[Rule]", "Axis"}], ",", 
              RowBox[{"PlotPoints", "\[Rule]", "300"}], ",", 
              RowBox[{"PlotRange", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"0", ",", "Automatic"}], "}"}]}]}], "]"}], ",", 
            "\[IndentingNewLine]", "dots", ",", "\[IndentingNewLine]", 
            "segments", ",", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"zoom", "\[Equal]", "True"}], ",", 
              RowBox[{"Graphics", "[", 
               RowBox[{"Inset", "[", 
                RowBox[{"zoomgraph", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"a", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                   RowBox[{"a", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}], ",", 
                 "Automatic"}], "]"}], "]"}], ",", 
              RowBox[{"Graphics", "[", 
               RowBox[{"Inset", "[", 
                RowBox[{"\"\< \>\"", ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}]}], "]"}], "]"}]}], "]"}]}], 
           "\[IndentingNewLine]", "}"}], ",", 
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"550", ",", "300"}], "}"}]}]}], "]"}], "}"}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"text", " ", "-", " ", 
         RowBox[{"second", " ", "row"}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Framed", "@", 
         RowBox[{"Text", "@", 
          RowBox[{"Column", "[", 
           RowBox[{
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{
                  "\"\<\!\(\*SubsuperscriptBox[\(\[Integral]\), \(0\), \(2\)]\
\)\>\"", ",", 
                   RowBox[{"TraditionalForm", "[", 
                    RowBox[{"g", "[", "x", "]"}], "]"}], ",", "\"\<\>\"", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<d\[InvisibleSpace]x\>\"", ",", "Italic"}], 
                    "]"}]}], "}"}], "]"}], ",", "Black", ",", "16"}], "]"}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{"Row", "[", 
               RowBox[{"{", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<approximate area = \>\"", ",", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"approxarea", ",", 
                    RowBox[{"{", 
                    RowBox[{"6", ",", "5"}], "}"}]}], "]"}]}], "}"}], "]"}], 
                   ",", "Purple", ",", "16"}], "]"}], ",", 
                 "\[IndentingNewLine]", "\"\<    \>\"", ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Style", "[", 
                  RowBox[{
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<exact area = \>\"", ",", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"exactarea", ",", 
                    RowBox[{"{", 
                    RowBox[{"6", ",", "5"}], "}"}]}], "]"}]}], "}"}], "]"}], 
                   ",", 
                   RowBox[{"Blend", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Gray", ",", "Blue"}], "}"}], ",", 
                    RowBox[{"1", "/", "2"}]}], "]"}], ",", "16"}], "]"}]}], 
                "\[IndentingNewLine]", "}"}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{"\"\<|error| = \>\"", ",", 
                   RowBox[{"ScientificForm", "[", 
                    RowBox[{
                    RowBox[{"Abs", "[", 
                    RowBox[{"approxarea", "-", "exactarea"}], "]"}], ",", 
                    "3"}], "]"}]}], "}"}], "]"}], ",", "16"}], "]"}]}], 
             "\[IndentingNewLine]", "}"}], ",", 
            RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}]}], 
        "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", "}"}], "]"}]}],
    ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"parameters", " ", "for", " ", "Manipulate"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"g", ",", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", "2"}], "*", "#"}], "]"}], ")"}], "&"}], ")"}], ",", 
       "\"\<function\>\""}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Sin", "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Sin", "[", "x", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", "*", "#"}], "+", "1"}], ")"}], "&"}], ")"}], 
        "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"2", "*", "x"}], "+", "1"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"#", "^", "2"}], ")"}], "&"}], ")"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"x", "^", "2"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"Exp", "[", 
            RowBox[{
             RowBox[{"-", "2"}], "*", "#"}], "]"}], ")"}], "&"}], ")"}], 
        "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", "2"}], "*", "x"}], "]"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"5", "*", 
            RowBox[{"#", "^", 
             RowBox[{"(", 
              RowBox[{"1", "/", "3"}], ")"}]}]}], ")"}], "&"}], ")"}], 
        "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"5", "*", 
          RowBox[{"x", "^", 
           RowBox[{"(", 
            RowBox[{"1", "/", "3"}], ")"}]}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"2", "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"#", "^", "2"}], "+", "1"}], ")"}]}], ")"}], "&"}], 
         ")"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"2", "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"x", "^", "2"}], "+", "1"}], ")"}]}], "]"}]}]}], "}"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"zoom", ",", "False", ",", "\"\<magnifying tool\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", 
       RowBox[{"{", 
        RowBox[{".865", ",", ".46"}], "}"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "1"}], ",", "Locator", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Enabled", "\[Rule]", "zoom"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "4", ",", "\"\<subintervals\>\""}], "}"}], ",", "2", 
     ",", "40", ",", "2", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"method", ",", "\"\<midpoint\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<left sum\>\"", ",", "\"\<right sum\>\"", ",", "\"\<midpoint\>\"", 
       ",", "\"\<trapezoid\>\"", ",", "\"\<Simpson\>\""}], "}"}]}], "}"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"2", ",", "3", ",", "4"}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{3.569852134970879*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = {1, 0.5}, $CellContext`g$$ = 
    Exp[(-2) #]& , $CellContext`method$$ = "midpoint", $CellContext`n$$ = 
    4, $CellContext`zoom$$ = False, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`g$$], Exp[(-2) #]& , "function"}, {
      Sin -> TraditionalForm[
         Sin[$CellContext`x]], (2 # + 1& ) -> 
       TraditionalForm[1 + 2 $CellContext`x], (#^2& ) -> 
       TraditionalForm[$CellContext`x^2], (Exp[(-2) #]& ) -> 
       TraditionalForm[E^((-2) $CellContext`x)], (5 #^(1/3)& ) -> 
       TraditionalForm[5 $CellContext`x^Rational[1, 3]], (2/(#^2 + 1)& ) -> 
       TraditionalForm[2/(1 + $CellContext`x^2)]}}, {{
       Hold[$CellContext`zoom$$], False, "magnifying tool"}, {True, False}}, {{
       Hold[$CellContext`a$$], {0.865, 0.46}}}, {{
       Hold[$CellContext`n$$], 4, "subintervals"}, 2, 40, 2}, {{
       Hold[$CellContext`method$$], "midpoint"}, {
      "left sum", "right sum", "midpoint", "trapezoid", "Simpson"}}}, 
    Typeset`size$$ = {550., {189.34375, 194.65625}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True, $CellContext`g$1468$$ =
     False, $CellContext`zoom$1469$$ = False, $CellContext`n$1470$$ = 
    0, $CellContext`method$1471$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = {0.865, 0.46}, $CellContext`g$$ = 
        Exp[(-2) #]& , $CellContext`method$$ = "midpoint", $CellContext`n$$ = 
        4, $CellContext`zoom$$ = False}, "ControllerVariables" :> {
        Hold[$CellContext`g$$, $CellContext`g$1468$$, False], 
        Hold[$CellContext`zoom$$, $CellContext`zoom$1469$$, False], 
        Hold[$CellContext`n$$, $CellContext`n$1470$$, 0], 
        Hold[$CellContext`method$$, $CellContext`method$1471$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`u = 
        Range[0, 2, 2/$CellContext`n$$]; $CellContext`left = Piecewise[
          Table[{
            $CellContext`g$$[
             Part[$CellContext`u, $CellContext`k]], 
            Part[$CellContext`u, $CellContext`k] <= $CellContext`x <= 
            Part[$CellContext`u, $CellContext`k + 1]}, {$CellContext`k, 1, 
            Length[$CellContext`u] - 1}]]; $CellContext`mid = Piecewise[
          Table[{
            $CellContext`g$$[(Part[$CellContext`u, $CellContext`k] + 
              Part[$CellContext`u, $CellContext`k + 1])/2], 
            Part[$CellContext`u, $CellContext`k] <= $CellContext`x <= 
            Part[$CellContext`u, $CellContext`k + 1]}, {$CellContext`k, 1, 
            Length[$CellContext`u] - 1}]]; $CellContext`right = Piecewise[
          Table[{
            $CellContext`g$$[
             Part[$CellContext`u, $CellContext`k + 1]], 
            Part[$CellContext`u, $CellContext`k] <= $CellContext`x <= 
            Part[$CellContext`u, $CellContext`k + 1]}, {$CellContext`k, 1, 
            Length[$CellContext`u] - 1}]]; $CellContext`trap = Piecewise[
          Table[{
            Interpolation[{{
               Part[$CellContext`u, $CellContext`k], 
               $CellContext`g$$[
                Part[$CellContext`u, $CellContext`k]]}, {
               Part[$CellContext`u, $CellContext`k + 1], 
               $CellContext`g$$[
                Part[$CellContext`u, $CellContext`k + 1]]}}, 
             InterpolationOrder -> 1][$CellContext`x], 
            Part[$CellContext`u, $CellContext`k] < $CellContext`x < 
            Part[$CellContext`u, $CellContext`k + 1]}, {$CellContext`k, 1, 
            Length[$CellContext`u] - 1}]]; $CellContext`simp = Piecewise[
          Table[{
            Interpolation[{{
               Part[$CellContext`u, 2 $CellContext`k + 1], 
               $CellContext`g$$[
                Part[$CellContext`u, 2 $CellContext`k + 1]]}, {
               Part[$CellContext`u, 2 $CellContext`k + 2], 
               $CellContext`g$$[
                Part[$CellContext`u, 2 $CellContext`k + 2]]}, {
               Part[$CellContext`u, 2 $CellContext`k + 3], 
               $CellContext`g$$[
                Part[$CellContext`u, 2 $CellContext`k + 3]]}}, 
             InterpolationOrder -> 2][$CellContext`x], 
            Part[$CellContext`u, 2 $CellContext`k + 1] <= $CellContext`x <= 
            Part[$CellContext`u, 2 $CellContext`k + 3]}, {$CellContext`k, 0, 
            Length[$CellContext`u]/2 - 3/2}]]; $CellContext`approxgraph[
          Pattern[$CellContext`x$, 
           Blank[]]] := 
        Switch[$CellContext`method$$, "left sum", $CellContext`left, 
          "right sum", $CellContext`right, "midpoint", $CellContext`mid, 
          "trapezoid", $CellContext`trap, 
          "Simpson", $CellContext`simp]; $CellContext`leftarea = N[
          Sum[$CellContext`g$$[
             Part[$CellContext`u, $CellContext`i]] (
            2/$CellContext`n$$), {$CellContext`i, 1, Length[$CellContext`u] - 
            1}]]; $CellContext`rightarea = N[
          Sum[$CellContext`g$$[
             Part[$CellContext`u, $CellContext`i + 1]] (
            2/$CellContext`n$$), {$CellContext`i, 1, Length[$CellContext`u] - 
            1}]]; $CellContext`midarea = N[
          
          Sum[$CellContext`g$$[(Part[$CellContext`u, $CellContext`i] + 
              Part[$CellContext`u, $CellContext`i + 1])/2] (
            2/$CellContext`n$$), {$CellContext`i, 1, Length[$CellContext`u] - 
            1}]]; $CellContext`traparea = N[
          Sum[(($CellContext`g$$[
               Part[$CellContext`u, $CellContext`i]] + $CellContext`g$$[
               Part[$CellContext`u, $CellContext`i + 1]])/2) (
            2/$CellContext`n$$), {$CellContext`i, 1, Length[$CellContext`u] - 
            1}]]; $CellContext`simparea = N[($CellContext`g$$[
             Part[$CellContext`u, 1]] + $CellContext`g$$[
             Part[$CellContext`u, 
              Length[$CellContext`u]]] + Sum[4 $CellContext`g$$[
               Part[$CellContext`u, $CellContext`i]] 
             Mod[$CellContext`i + 1, 2], {$CellContext`i, 2, 
              Length[$CellContext`u] - 1}] + Sum[2 $CellContext`g$$[
               Part[$CellContext`u, $CellContext`i]] 
             Mod[$CellContext`i, 2], {$CellContext`i, 2, 
              Length[$CellContext`u] - 1}]) ((2/$CellContext`n$$)/
           3)]; $CellContext`approxarea = 
        Switch[$CellContext`method$$, "left sum", $CellContext`leftarea, 
          "right sum", $CellContext`rightarea, 
          "midpoint", $CellContext`midarea, 
          "trapezoid", $CellContext`traparea, 
          "Simpson", $CellContext`simparea]; $CellContext`exactarea = N[
          Integrate[
           $CellContext`g$$[$CellContext`x], {$CellContext`x, 0, 
            2}]]; $CellContext`endpt = Table[{
           Part[$CellContext`u, $CellContext`k], 
           $CellContext`g$$[
            Part[$CellContext`u, $CellContext`k]]}, {$CellContext`k, 1, 
           Length[$CellContext`u]}]; $CellContext`endptline = Table[{{
            Part[$CellContext`u, $CellContext`k], 0}, {
            Part[$CellContext`u, $CellContext`k], 
            $CellContext`g$$[
             Part[$CellContext`u, $CellContext`k]]}}, {$CellContext`k, 1, 
           Length[$CellContext`u]}]; $CellContext`midpt = 
        Table[{(Part[$CellContext`u, $CellContext`k] + 
            Part[$CellContext`u, $CellContext`k + 1])/2, 
           $CellContext`g$$[(Part[$CellContext`u, $CellContext`k] + 
             Part[$CellContext`u, $CellContext`k + 1])/2]}, {$CellContext`k, 
           1, Length[$CellContext`u] - 1}]; $CellContext`simpline = Table[{{
            Part[$CellContext`u, 2 $CellContext`k + 1], 0}, {
            Part[$CellContext`u, 2 $CellContext`k + 1], 
            $CellContext`g$$[
             Part[$CellContext`u, 2 $CellContext`k + 1]]}}, {$CellContext`k, 
           0, Length[$CellContext`u]/2 - 3/2}]; $CellContext`dots = ListPlot[
          
          Switch[$CellContext`method$$, "left sum", $CellContext`endpt, 
           "right sum", $CellContext`endpt, "midpoint", $CellContext`midpt, 
           "trapezoid", $CellContext`endpt, 
           "Simpson", $CellContext`endpt]]; $CellContext`segments = 
        ListLinePlot[
          
          Switch[$CellContext`method$$, "left sum", $CellContext`endptline, 
           "right sum", $CellContext`endptline, 
           "midpoint", $CellContext`endptline, 
           "trapezoid", $CellContext`endptline, 
           "Simpson", $CellContext`simpline], PlotRange -> 
          All]; $CellContext`yscale = 
        Which[$CellContext`g$$[$CellContext`x] === Sin[$CellContext`x], 
          0.5, $CellContext`g$$[$CellContext`x] === 2 $CellContext`x + 1, 
          2.5, $CellContext`g$$[$CellContext`x] === $CellContext`x^2, 
          2, $CellContext`g$$[$CellContext`x] === Exp[(-2) $CellContext`x], 
          0.5, $CellContext`g$$[$CellContext`x] === 5 $CellContext`x^(1/3), 
          3.2, True, 1]; 
       If[$CellContext`zoom$$ == 
         False, $CellContext`a$$ = {1, $CellContext`yscale}, 
         Null]; $CellContext`zoomgraph = Show[{
           Plot[{
             $CellContext`g$$[$CellContext`x], 
             $CellContext`approxgraph[$CellContext`x]}, {$CellContext`x, 
             Part[$CellContext`a$$, 1] - 0.1, Part[$CellContext`a$$, 1] + 
             0.1}, PlotRange -> {
             Part[$CellContext`a$$, 2] - 0.1 $CellContext`yscale, 
              Part[$CellContext`a$$, 2] + 0.1 $CellContext`yscale}, Frame -> 
            True, FrameTicks -> None, FrameStyle -> Thick, Background -> 
            White, Filling -> Bottom, PlotPoints -> 100, Axes -> 
            False], $CellContext`dots, $CellContext`segments}]; Grid[{{
           Show[{
             Plot[{
               $CellContext`g$$[$CellContext`x], 
               $CellContext`approxgraph[$CellContext`x]}, {$CellContext`x, 0, 
               2}, Filling -> Axis, PlotPoints -> 300, 
              PlotRange -> {
               0, Automatic}], $CellContext`dots, $CellContext`segments, 
             If[$CellContext`zoom$$ == True, 
              Graphics[
               Inset[$CellContext`zoomgraph, {
                 Part[$CellContext`a$$, 1], 
                 Part[$CellContext`a$$, 2]}, Automatic]], 
              Graphics[
               Inset[" ", {0, 0}]]]}, ImageSize -> {550, 300}]}, {
           Framed[
            Text[
             Column[{
               Style[
                
                Row[{"\!\(\*SubsuperscriptBox[\(\[Integral]\), \(0\), \
\(2\)]\)", 
                  TraditionalForm[
                   $CellContext`g$$[$CellContext`x]], "", 
                  Style["d\[InvisibleSpace]x", Italic]}], Black, 16], 
               Row[{
                 Style[
                  Row[{"approximate area = ", 
                    NumberForm[$CellContext`approxarea, {6, 5}]}], Purple, 
                  16], "    ", 
                 Style[
                  Row[{"exact area = ", 
                    NumberForm[$CellContext`exactarea, {6, 5}]}], 
                  Blend[{Gray, Blue}, 1/2], 16]}], 
               Style[
                Row[{"|error| = ", 
                  ScientificForm[
                   Abs[$CellContext`approxarea - $CellContext`exactarea], 
                   3]}], 16]}, Alignment -> Center]]]}}]), 
      "Specifications" :> {{{$CellContext`g$$, Exp[(-2) #]& , "function"}, {
         Sin -> TraditionalForm[
            Sin[$CellContext`x]], (2 # + 1& ) -> 
          TraditionalForm[1 + 2 $CellContext`x], (#^2& ) -> 
          TraditionalForm[$CellContext`x^2], (Exp[(-2) #]& ) -> 
          TraditionalForm[E^((-2) $CellContext`x)], (5 #^(1/3)& ) -> 
          TraditionalForm[5 $CellContext`x^Rational[1, 3]], (2/(#^2 + 1)& ) -> 
          TraditionalForm[2/(1 + $CellContext`x^2)]}, ControlType -> 
         PopupMenu}, {{$CellContext`zoom$$, False, "magnifying tool"}, {
         True, False}}, {{$CellContext`a$$, {0.865, 0.46}}, PlotRange -> 1, 
         ControlType -> Locator, Enabled -> Dynamic[$CellContext`zoom$$], 
         Appearance -> None}, {{$CellContext`n$$, 4, "subintervals"}, 2, 40, 
         2, Appearance -> "Labeled"}, {{$CellContext`method$$, "midpoint"}, {
         "left sum", "right sum", "midpoint", "trapezoid", "Simpson"}}}, 
      "Options" :> {AutorunSequencing -> {2, 3, 4}, TrackedSymbols -> True}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{599., {277., 283.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.569852137933736*^9}]
}, Open  ]]
},
WindowSize->{1495, 1028},
WindowMargins->{{Automatic, 189}, {Automatic, 6}},
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (February 23, \
2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 28556, 768, 1397, "Input"],
Cell[29138, 792, 13119, 244, 577, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
